import request from "@/utils/request";

const upload = file => {
  const formData = new FormData();
  formData.append("file", file);
  formData.append("fileType", file.type);
  return request(uploadAPI, { method: "POST", data: formData });
};

/**
 * 上传文件
 * @returns
 */
export function uploadFile (params) {
  const { file, onSuccess, onError } = params;
  upload(file)
    .then((res) => {
      onSuccess({ url: res.attachUrl, fileType: file.type, name: file.name }, file);
    })
    .catch((e) => {
      onError(e);
    });

  return {
    abort: () => { },
  };
}
