import React, { useRef, useState, useEffect } from 'react'
import Page from '@/components/Page'
import { Button, Input, Descriptions, Form, Image, Card, Row, Col, Space, Tag } from 'antd'
import { useSearchParams } from "react-router-dom";
import { getTaPostById } from "@/services/taPost";

export default (props) => {
  const [list, setList] = useState()
  const [searchParams] = useSearchParams();
  const id = searchParams.get("id");
  useEffect(() => {
    getTaPostById(id).then((res) => {
      setList(res)
    })
  }, [id])
  // console.log('-------list?.images------>>>>>', list?.images ? JSON.parse(list?.images) : null);
  return (
    <Page>
      <Card bordered={false}>
        <Descriptions layout="vertical" bordered>
          <Descriptions.Item label="标题">{list?.title}</Descriptions.Item>
          <Descriptions.Item label="描述" span={2}>{list?.describe}</Descriptions.Item>
          <Descriptions.Item label="正文" span={3}>
            <div dangerouslySetInnerHTML={{ __html: list?.content }} />
          </Descriptions.Item>
          <Descriptions.Item label="图片">
            {
              list?.images ? JSON.parse(list?.images).map((item, index) => (
                <Image key={index} src={`${prefix}` + item} width={80} />
              )) : null
            }
          </Descriptions.Item>
          <Descriptions.Item label="横向封面">
            {
              list?.coverHorizontal ? <Image src={`${prefix}` + list?.coverHorizontal} width={80} /> : null
            }
          </Descriptions.Item>
          <Descriptions.Item label="纵向封面">
            {
              list?.coverVertical ? <Image src={`${prefix}` + list?.coverVertical} width={80} /> : null
            }
          </Descriptions.Item>
          <Descriptions.Item label="标签">
            {
              list?.tags ? JSON.parse(list?.tags).map((item, index) => (
                <Tag color="red" key={index}>{item}</Tag>
              )) : null
            }
          </Descriptions.Item>
          <Descriptions.Item label="作者">{list?.author}</Descriptions.Item>
          <Descriptions.Item label="链接地址">{list?.link}</Descriptions.Item>
          <Descriptions.Item label="附件"></Descriptions.Item>
        </Descriptions>
      </Card>
    </Page>
  )
}