import { useState, useRef, useEffect } from "react";
import { defaultRoutes, authRoutes, mergeAuthRoutes } from "@/routes/routes";
import { getMenuItems } from "@/routes/menus";
import { currentUser } from "@/services/login";
import { getAuthedRoutes } from "@/routes/permissions";

export default function useUser () {
  const [user, setUser] = useState({ name: 'admin', userId: 123 });
  const [isLogin, setIsLogin] = useState(true);
  const menusRef = useRef();
  const routesRef = useRef();
  const dbMenusRef = useRef([]);

  const getCurrentUser = (params) =>
    new Promise((resolve, reject) => {
      // { name: 'admin', userId: 123 }
      currentUser(params)
        .then((res) => {
          dbMenusRef.current = res?.menuList || [];
          // const permissions = dbMenusRef.current.map((x) => x.menuCode);

          // authRoutes 是所有待验证授权的路由
          // authedRoutes 是已经被授权的路由
          const authedRoutes = getAuthedRoutes(authRoutes);

          menusRef.current = getMenuItems(authedRoutes);
          routesRef.current = mergeAuthRoutes(defaultRoutes, authedRoutes);
          setUser(res);
          setIsLogin(true)
          resolve();
        })
        .catch(reject);
    });
  menusRef.current = getMenuItems(authRoutes);
  // console.log('-------->isLogin', isLogin);
  return {
    user,
    setUser,
    getCurrentUser,
    menus: menusRef.current || [],
    routes: routesRef.current || [],
    dbMenus: dbMenusRef.current,
    isLogin,
  };
}
